xfs
[Top] [All Lists]

Re: IRIX 6.5.6m/XFS CVS: Any problems?

To: "Utz Lehmann" <ulehmann@xxxxxxxxxxxxxx>
Subject: Re: IRIX 6.5.6m/XFS CVS: Any problems?
From: "Sean Elble" <S_Elble@xxxxxxxxx>
Date: Mon, 1 Oct 2001 22:51:57 -0400
Cc: <linux-xfs@xxxxxxxxxxx>
References: <s_elble@xxxxxxxxx> <200110011402.f91E25O06650@xxxxxxxxxxxxxxxxxxxx> <20011001163121.D15188@xxxxxxxxxxxxxx>
Reply-to: "Sean Elble" <S_Elble@xxxxxxxxx>
Sender: owner-linux-xfs@xxxxxxxxxxx
Utz,

Thanks for the information; do you know if this patch needs to be applied
for NFS v3 to work from IRIX to Linux? It looks really easy to apply
manually if it doesn't apply automatically . . . I've been wrong before
though. :-) Thanks again!

-Sean
----- Original Message -----
From: "Utz Lehmann" <ulehmann@xxxxxxxxxxxxxx>
To: "Steve Lord" <lord@xxxxxxx>
Cc: "Sean Elble" <s_elble@xxxxxxxxx>; <linux-xfs@xxxxxxxxxxx>
Sent: Monday, October 01, 2001 10:31 AM
Subject: Re: IRIX 6.5.6m/XFS CVS: Any problems?


> Hi
>
> Steve Lord [lord@xxxxxxx] wrote:
> > > Hello,
> > >
> > > I have a Silicon Graphics Indigo2 here with IRIX
> > > 6.5.6m installed (love it, BTW), and a Linux server
> > > that is about to have the latest CVS version of the
> > > XFS kernel installed, along with the kernel-level NFS
> > > server.
> > >
> > > Are there any known problems, or catches, using NFS on
> > > IRIX with a Linux 2.4.10 server? I would like to use
> > > NFS3, if possible, but I would appreciate any comments
> > > any users may have. Thanks, in advance!
> > >
> >
> > You may want to upgrade to the latest Irix release, there were some
> > problems with NFS V3 between Linux and Irix. The Irix implementation
> > expected the NFS file handles to be of a specific size, and Linux used
> > a different size. I think this is fixed in 6.5.13. This only affected
> > V3 NFS I think.
> >
> > Steve
>
> I had grabed a small patch for the linux nfs server on lkml. It's set the
> file handle size on the linux nfs server to a value (older) IRIX Versions
> (and HP-UX 10.20) can understand. I have used this patch till 2.4.9. Maybe
> it works with 2.4.10 too.
> It works for me, but use it at your own risk.
>
> Or use NFS v2.
>
>
> utz
>


<Prev in Thread] Current Thread [Next in Thread>